Package org.wso2.carbon.deployment.synchronizer.util

## Class RepositoryConfigParameter

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.util.RepositoryConfigParameter

-     public class RepositoryConfigParameter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConfigParameter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxlength()` |
    `String` | `getName()` |
    `String` | `getType()` |
    `String` | `getValue()` |
    `boolean` | `isMasked()` |
    `boolean` | `isRequired()` |
    `void` | `setMasked​(boolean masked)` |
    `void` | `setMaxlength​(int maxlength)` |
    `void` | `setName​(String name)` |
    `void` | `setRequired​(boolean required)` |
    `void` | `setType​(String type)` |
    `void` | `setValue​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfigParameter

          public RepositoryConfigParameter()

  - ### Method Detail

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired​(boolean required)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue​(String value)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### isMasked

          public boolean isMasked()

    - #### setMasked

          public void setMasked​(boolean masked)

    - #### getMaxlength

          public int getMaxlength()

    - #### setMaxlength

          public void setMaxlength​(int maxlength)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)